Perform various operations on preference records.
Operations
getPreferenceSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/account/getPreferenceSelectFieldsPOST /nexum/627/persistent/account/getPreferenceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"SelectableFields": {
"IncludeAllPreferenceFields": false,
"PreferenceFields": {
"Locator": true,
"Type": true,
"RecordChangeDate": true,
"HbUsername": true,
"HbEnable": true,
"AudioEnable": true,
"Language": true,
"Reference": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getPreferenceSelectFieldsFilterChildren
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/account/getPreferenceSelectFieldsFilterChildrenPOST /nexum/627/persistent/account/getPreferenceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"SelectableFields": {
"IncludeAllPreferenceFields": true
},
"ChildrenSearchFilter": {
"PreferenceAccessFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getPreferencePagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/account/getPreferencePagedListSelectFieldsPOST /nexum/627/persistent/account/getPreferencePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPreferenceFields": false,
"PreferenceFields": {
"Locator": true,
"Type": true,
"RecordChangeDate": true,
"HbUsername": true,
"HbEnable": true,
"AudioEnable": true,
"Language": true,
"Reference": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchPreferencePagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/account/searchPreferencePagedSelectFieldsPOST /nexum/627/persistent/account/searchPreferencePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPreferenceFields": false,
"PreferenceFields": {
"Locator": true,
"Type": true,
"RecordChangeDate": true,
"HbUsername": true,
"HbEnable": true,
"AudioEnable": true,
"Language": true,
"Reference": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getPreferenceAccessSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalPreferenceAccessLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/account/getPreferenceAccessSelectFieldsPOST /nexum/627/persistent/account/getPreferenceAccessSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessLocator": 0,
"SelectableFields": {
"IncludeAllPreferenceAccessFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getPreferenceAccessPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/account/getPreferenceAccessPagedListSelectFieldsPOST /nexum/627/persistent/account/getPreferenceAccessPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPreferenceAccessFields": false,
"PreferenceAccessFields": {
"Locator": true,
"AccessType": true,
"AccountNumber": true,
"Id": true,
"IdType": true,
"EnableInquiry": true,
"EnableDeposit": true,
"EnableWithdrawal": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchPreferenceAccessPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/account/searchPreferenceAccessPagedSelectFieldsPOST /nexum/627/persistent/account/searchPreferenceAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPreferenceAccessFields": false,
"PreferenceAccessFields": {
"Locator": true,
"AccessType": true,
"AccountNumber": true,
"Id": true,
"IdType": true,
"EnableInquiry": true,
"EnableDeposit": true,
"EnableWithdrawal": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePreferenceByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/account/updatePreferenceByIDPOST /nexum/627/persistent/account/updatePreferenceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceFields": {
"Type": 0,
"HbUsername": "string",
"HbEnable": 0,
"AudioEnable": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePreferenceAccessByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalPreferenceAccessLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/account/updatePreferenceAccessByIDPOST /nexum/627/persistent/account/updatePreferenceAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessLocator": 0,
"PreferenceAccessFields": {
"AccessType": 0,
"AccountNumber": "0000000000",
"IdType": 0,
"Id": "0",
"EnableInquiry": 0,
"EnableDeposit": 0,
"EnableWithdrawal": 0,
"EnableFm": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPreference
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
PreferenceLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/account/createPreferencePOST /nexum/627/persistent/account/createPreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceFields": {
"Type": 0,
"HbUsername": "string",
"HbEnable": 0,
"AudioEnable": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPreferenceAccess
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
PreferenceAccessLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/account/createPreferenceAccessPOST /nexum/627/persistent/account/createPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessFields": {
"AccessType": 0,
"AccountNumber": "0000000000",
"IdType": 0,
"Id": "0",
"EnableInquiry": 0,
"EnableDeposit": 0,
"EnableWithdrawal": 0,
"EnableFm": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deletePreference
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/account/deletePreferencePOST /nexum/627/persistent/account/deletePreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deletePreferenceAccess
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPreferenceLocatorintegeroptionalPreferenceAccessLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/account/deletePreferenceAccessPOST /nexum/627/persistent/account/deletePreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}